AGTQRStreamer (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.http.handler, class: AGTQRStreamer

Package com.franz.agraph.http.handler

# Class AGTQRStreamer

java.lang.Object
com.franz.agraph.http.handler.AGResponseHandler
com.franz.agraph.http.handler.AGTQRStreamer

Direct Known Subclasses:
  `AGTQRJSONStreamer`, `AGTQRTSVStreamer`, `AGTQRXMLStreamer`

public abstract class AGTQRStreamer extends AGResponseHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGTQRStreamer(String mimeType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AGTQRStreamer`
  `createStreamer(org.eclipse.rdf4j.query.resultio.TupleQueryResultFormat format, AGValueFactory vf)`
  `abstract String`
  `getRequestMIMEType()`
  `abstract org.eclipse.rdf4j.query.TupleQueryResult`
  `getResult()`
  `abstract void`
  `handleResponse(org.apache.http.HttpResponse httpResponse, HttpUriRequest httpUriRequest)`
  `boolean`
  `releaseConnection()`
  False because the Result will release the HTTP resources.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AGTQRStreamer

    public AGTQRStreamer(String mimeType)

- ## Method Details

  - ### getRequestMIMEType

    public abstract String getRequestMIMEType()
    Overrides:
      `getRequestMIMEType` in class `AGResponseHandler`

  - ### releaseConnection

    public boolean releaseConnection()
    False because the Result will release the HTTP resources. For most responses, AGHTTPClient releases resources after calling `handleResponse(HttpResponse, HttpUriRequest)`, but here the results are pulled when needed from the Result class, which is an inner class of child classes.
    Overrides:
      `releaseConnection` in class `AGResponseHandler`
    Returns:
      Boolean always returns true

  - ### handleResponse

    public abstract void handleResponse(org.apache.http.HttpResponse httpResponse, HttpUriRequest httpUriRequest) throws IOException, AGHttpException
    Specified by:
      `handleResponse` in class `AGResponseHandler`
    Throws:
      `IOException`
      `AGHttpException`

  - ### getResult

    public abstract org.eclipse.rdf4j.query.TupleQueryResult getResult()

  - ### createStreamer

    public static AGTQRStreamer createStreamer(org.eclipse.rdf4j.query.resultio.TupleQueryResultFormat format, AGValueFactory vf)